package com.yunzhupaas.bsc.service;

import com.yunzhupaas.bsc.entity.*;
import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.bsc.model.billingitem.*;
import java.util.*;

/**
 * 计费项目
 * 版本： V5.2.7
 * 版权： Copyright @ 2025  深圳市乐程软件有限公司版权所有
 * 作者： 深圳市乐程软件有限公司
 * 日期： 2026-05-20
 */
public interface BillingItemService extends SuperService<BillingItemEntity> {
    List<BillingItemEntity> getList(BillingItemPagination billingItemPagination);

    List<BillingItemEntity> getTypeList(BillingItemPagination billingItemPagination,String dataType);

    BillingItemEntity getInfo(String billingitemid);

    void delete(BillingItemEntity entity);

    void create(BillingItemEntity entity);

    boolean update(String billingitemid, BillingItemEntity entity);

	String checkForm(BillingItemForm form,int i);

    void saveOrUpdate(BillingItemForm billingItemForm,String id, boolean isSave) throws Exception;
}
